import { Config } from '../../types';
export interface RegistryOptions<T = any> extends Partial<Omit<Config<T>, 'beforePublish'>> {
    baseUrl: string;
    compileClient?: boolean | {
        retryLimit?: number;
        retryInterval?: number;
    };
}
export default function optionsSanitiser(input: RegistryOptions): Config;
